﻿using System;
using System.Data;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace WinGridHotTrackRows
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            PopulateGridData();
        }

        private void ultraGrid1_MouseEnterElement(object sender, UIElementEventArgs e)
        {
            UIElement currentElement = e.Element;
            if (currentElement != null)
            {
                UltraGridRow currentRow = (UltraGridRow)currentElement.GetContext(typeof(UltraGridRow));
                if (currentRow != null)
                {
                    int rowNumber = currentRow.Index;
                    this.textBox1.Text = string.Format("Current row is {0}", rowNumber);
                }
            }
        }

        private void PopulateGridData()
        {
            DataSet dataSet = new DataSet();

            DataTable dataTable = dataSet.Tables.Add("table1");
            dataTable.Columns.Add("id", typeof(int)).AutoIncrement = true;
            dataTable.Columns.Add("Name", typeof(string));
            dataTable.Columns.Add("Quantity", typeof(double));
            dataTable.Columns.Add("Price", typeof(double));
            dataTable.Columns.Add("Date", typeof(DateTime));

            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Beverage", 5050.25, 10.2, new DateTime(2008, 04, 22) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Appliances", 51312.123, 90, new DateTime(2012, 05, 10) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "FastFood", 26545.16450, 32, new DateTime(2005, 10, 05) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Furniture", 1002, 79, new DateTime(2009, 02, 28) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Meat", 40513, 10.2, new DateTime(2008, 04, 22) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Fruits", 25, 12, new DateTime(2012, 05, 10) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Vegetables", 300, 13, new DateTime(2005, 10, 05) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Cars", 13, 200, new DateTime(2009, 02, 28) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Tools", 60, 15.3, new DateTime(2008, 04, 22) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Estate", 5, 3000, new DateTime(2012, 05, 10) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Motorcycles", 10, 320, new DateTime(2005, 10, 05) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Clothes", 40, 69, new DateTime(2009, 02, 28) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Shoes", 24, 40.6, new DateTime(2008, 04, 22) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Games", 53, 50, new DateTime(2012, 05, 10) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Books", 42, 22, new DateTime(2005, 10, 05) });
            dataSet.Tables["table1"].Rows.Add(new Object[] { null, "Movies", 38, 19, new DateTime(2009, 02, 28) });

            ultraGrid1.DataSource = dataSet;
        }
    }
}
